Linux IPv6 HOWTO (en)
Prev | Chapter 6. Configuring IPv6 addresses | Next

# 6.3. Removing an IPv6 address

Not so often needed, be carefully with removing non existent IPv6 address, sometimes using older kernels it results in a crash.

## 6.3.1. Using "ip"

Usage:

    # /sbin/ip -6 addr del <ipv6address>/<prefixlength> dev <interface>

Example:

    # /sbin/ip -6 addr del 2001:0db8:0:f101::1/64 dev eth0

## 6.3.2. Using "ifconfig"

Usage:

    # /sbin/ifconfig <interface> inet6 del <ipv6address>/<prefixlength>

Example:

    # /sbin/ifconfig eth0 inet6 del 2001:0db8:0:f101::1/64

Prev | Home | Next
Add an IPv6 address | Up | Configuring normal IPv6 routes